Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
conditional-fields
/
catalog
Get the field catalog for an organization
curl --request GET \
  --url https://your-instance.example.com/api/organizations/{organizationId}/conditional-fields/catalog \
  --header 'Authorization: Bearer <token>'
{
  "sections": [
    {
      "id": "contact.identity",
      "name": "Identity"
    }
  ],
  "fields": [
    {
      "id": "contact.age",
      "sectionId": "contact.identity",
      "type": "number"
    },
    {
      "id": "contact.country",
      "sectionId": "contact.identity",
      "type": "string"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Query Parameters

type
string
sectionType
string

Response

Catalog returned

sections
object[]
fields
object[]